Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar

## Class DTDNotFoundCodeAction

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar.AbstractFixMissingGrammarCodeAction
  - - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar.DTDNotFoundCodeAction

All Implemented Interfaces:
  `ICodeActionParticipant`

    public class DTDNotFoundCodeAction
    extends AbstractFixMissingGrammarCodeAction

Code Action that creates a DTD file referenced with System ID of DOCTYPE.

### Constructor Summary

Constructors
`DTDNotFoundCodeAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected FileContentGeneratorSettings` `getFileContentGeneratorSettings()` Returns the grammar settings used to generate the missing grammar file (XSD, DTD).
`protected String` `getParticipantId()`

### Methods inherited from class org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar.AbstractFixMissingGrammarCodeAction

`doCodeAction, getResolveCodeActionParticipant`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeActionUnconditional`

### Constructor Detail

#### DTDNotFoundCodeAction

    public DTDNotFoundCodeAction()

### Method Detail

#### getFileContentGeneratorSettings

    protected FileContentGeneratorSettings getFileContentGeneratorSettings()

Description copied from class: `AbstractFixMissingGrammarCodeAction`
Returns the grammar settings used to generate the missing grammar file (XSD, DTD).

Specified by:
  `getFileContentGeneratorSettings` in class `AbstractFixMissingGrammarCodeAction`
Returns:
  the grammar settings used to generate the missing grammar file (XSD, DTD).

#### getParticipantId

    protected String getParticipantId()

Specified by:
  `getParticipantId` in class `AbstractFixMissingGrammarCodeAction`